Package com.android.server.os

# Class LinphoneTombstoneProtos.LogBuffer

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.LogBuffer,LinphoneTombstoneProtos.LogBuffer.Builder>
com.android.server.os.LinphoneTombstoneProtos.LogBuffer

All Implemented Interfaces:
  `LinphoneTombstoneProtos.LogBufferOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.LogBuffer extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.LogBuffer,LinphoneTombstoneProtos.LogBuffer.Builder> implements LinphoneTombstoneProtos.LogBufferOrBuilder
Protobuf type `LogBuffer`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.LogBuffer.Builder`
Protobuf type `LogBuffer`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LOGS_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`static LinphoneTombstoneProtos.LogBuffer`
`getDefaultInstance()`
`LinphoneTombstoneProtos.LogMessage`
`getLogs(int index)`
`repeated .LogMessage logs = 2;`
`int`
`getLogsCount()`
`repeated .LogMessage logs = 2;`
`List<LinphoneTombstoneProtos.LogMessage>`
`getLogsList()`
`repeated .LogMessage logs = 2;`
`LinphoneTombstoneProtos.LogMessageOrBuilder`
`getLogsOrBuilder(int index)`
`repeated .LogMessage logs = 2;`
`List<? extends LinphoneTombstoneProtos.LogMessageOrBuilder>`
`getLogsOrBuilderList()`
`repeated .LogMessage logs = 2;`
`String`
`getName()`
`string name = 1;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 1;`
`static LinphoneTombstoneProtos.LogBuffer.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.LogBuffer.Builder`
`newBuilder(LinphoneTombstoneProtos.LogBuffer prototype)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.LogBuffer`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.LogBuffer>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### LOGS_FIELD_NUMBER

public static final int LOGS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getName

public String getName()
`string name = 1;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 1;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`
Returns:
  The bytes for name.

### getLogsList

public List<LinphoneTombstoneProtos.LogMessage> getLogsList()
`repeated .LogMessage logs = 2;`

Specified by:
  `getLogsList` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`

### getLogsOrBuilderList

public List<? extends LinphoneTombstoneProtos.LogMessageOrBuilder> getLogsOrBuilderList()
`repeated .LogMessage logs = 2;`

### getLogsCount

public int getLogsCount()
`repeated .LogMessage logs = 2;`

Specified by:
  `getLogsCount` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`

### getLogs

public LinphoneTombstoneProtos.LogMessage getLogs(int index)
`repeated .LogMessage logs = 2;`

Specified by:
  `getLogs` in interface `LinphoneTombstoneProtos.LogBufferOrBuilder`

### getLogsOrBuilder

public LinphoneTombstoneProtos.LogMessageOrBuilder getLogsOrBuilder(int index)
`repeated .LogMessage logs = 2;`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.LogBuffer parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.LogBuffer parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.LogBuffer parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.LogBuffer.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.LogBuffer.Builder newBuilder(LinphoneTombstoneProtos.LogBuffer prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.LogBuffer,LinphoneTombstoneProtos.LogBuffer.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.LogBuffer getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.LogBuffer> parser()